/* Copyright (c) 2015-present, salesforce.com, inc. All rights reserved
Licensed under BSD 3-Clause - see LICENSE.txt or git.io/sfdc-license */

import ReactiveElement from 'elix/src/core/ReactiveElement';
import { template } from 'elix/src/base/internal';
import { templateFrom } from 'elix/src/core/htmlLiterals';
// add back in after color-picker-custom publishes along w/ ${colorPickerCustomCSS} below
// import colorPickerCustomCSS from '@salesforce-ux/slds-color-picker-custom.compiled.css';
import buttonCSS from '@salesforce-ux/slds-button/dist/button.compiled.css';
import common from '@salesforce-ux/sds-common/common.module.css';
import css from './color-picker-panel.css';
import html from './color-picker-panel.html';

export class SldsColorPickerPanel extends ReactiveElement {
  get [template]() {
    const result = templateFrom.html`
      <style>
        ${common}
        ${buttonCSS}
        ${css}
      </style>
      ${html}
    `;

    return result;
  }
}
